Loading...
Searching...
No Matches
MMPA.h File Reference
`#include <RDGeneral/export.h>`
`#include <vector>`
`#include <string>`
`#include <stdexcept>`
`#include "../RDKitBase.h"`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::MMPA
namespace | RDKit::MMPA::detail

## Functions

RDKIT_MMPA_EXPORT unsigned long long | RDKit::MMPA::detail::computeMorganCodeHash (const ROMol &mol)
RDKIT_MMPA_EXPORT bool | RDKit::MMPA::fragmentMol (const ROMol &mol, std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > &result, unsigned int maxCuts=3, unsigned int maxCutBonds=20, const std::string &pattern="[#6+0;!$(*=,#[!#6])]!@!=!#[*]")
RDKIT_MMPA_EXPORT bool | RDKit::MMPA::fragmentMol (const ROMol &mol, std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > &result, unsigned int minCuts, unsigned int maxCuts, unsigned int maxCutBonds, const std::string &pattern="[#6+0;!$(*=,#[!#6])]!@!=!#[*]")
RDKIT_MMPA_EXPORT bool | RDKit::MMPA::fragmentMol (const ROMol &mol, std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > &result, const std::vector< unsigned int > &bondsToCut, unsigned int minCuts=1, unsigned int maxCuts=3)